| Home | Libraries | People | FAQ | More

## Function template get

boost::yap::get

## Synopsis

    // In header: <boost/yap/algorithm.hpp>

    template<typename Expr, typename I>
      decltype(auto) get(Expr && expr, I const & i);

## Description

Forwards the i-th element of expr to the caller. If expr is a reference expression, the result is `get(deref(expr), i)`.

| Note
`get()` is only valid if Expr is an expression.